# Poco::Zip

# class ZipException

Library: Zip
Package: Zip
Header: Poco/Zip/ZipException.h

## Inheritance

Direct Base Classes: Poco::RuntimeException

All Base Classes: Poco::Exception, Poco::RuntimeException, std::exception

Known Derived Classes: ZipManipulationException

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### ZipException

ZipException(
int code = 0
);

### ZipException

ZipException(
const ZipException & exc
);

### ZipException

ZipException(
const std::string & msg,
int code = 0
);

### ZipException

ZipException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### ZipException

ZipException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~ZipException

~ZipException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::RuntimeException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::RuntimeException::name()

### operator =

ZipException & operator = (
const ZipException & exc
);

### rethrow

void rethrow() const;

See also: Poco::RuntimeException::rethrow()